Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLDragSensor Class Reference

The SoVRMLDragSensor class is a superclass for VRML drag sensors. More...

`#include <Inventor/VRMLnodes/SoVRMLDragSensor.h>`

Inheritance diagram for SoVRMLDragSensor:

List of all members.

## Public Methods
virtual void | handleEvent (SoHandleEventAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFVec3f | trackPoint_changed
SoSFBool | autoOffset
## Protected Methods
| SoVRMLDragSensor (void)
virtual | ~SoVRMLDragSensor ()
const SbVec3f & | getLocalStartingPoint (void) const
const SbMatrix & | getLocalToWorldMatrix (void) const
const SbMatrix & | getWorldToLocalMatrix (void) const
const SbViewVolume & | getViewVolume (void) const
const SbVec2f & | getNormalizedLocaterPosition (void) const

## Detailed Description

The SoVRMLDragSensor class is a superclass for VRML drag sensors.

## Constructor & Destructor Documentation

SoVRMLDragSensor::SoVRMLDragSensor | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLDragSensor::~SoVRMLDragSensor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLDragSensor::handleEvent | ( | SoHandleEventAction * | action | ) | `[virtual]`

| Action method for SoHandleEventAction. Inspects the event data from action, and processes it if it is something which this node should react to. Nodes influencing relevant state variables for how event handling is done also overrides this method. Reimplemented from SoNode.

void SoVRMLDragSensor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoVRMLCylinderSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

const SbVec3f & SoVRMLDragSensor::getLocalStartingPoint | ( | void |  | ) | const`[protected]`

| Returns the interaction starting point.

const SbMatrix & SoVRMLDragSensor::getLocalToWorldMatrix | ( | void |  | ) | const`[protected]`

| Returns the matrix that transforms to the world coordinate system.

const SbMatrix & SoVRMLDragSensor::getWorldToLocalMatrix | ( | void |  | ) | const`[protected]`

| Returns the matrix that transforms from the world coordinate system.

const SbViewVolume & SoVRMLDragSensor::getViewVolume | ( | void |  | ) | const`[protected]`

| Returns the current view volume.

const SbVec2f & SoVRMLDragSensor::getNormalizedLocaterPosition | ( | void |  | ) | const`[protected]`

| Returns the current normalized pointer position.

## Member Data Documentation

SoSFVec3f SoVRMLDragSensor::trackPoint_changed

| An event out that is generated when the trackpoint is changed.

SoSFBool SoVRMLDragSensor::autoOffset

| When TRUE, the offset field is updated when a dragging sequence is finished. Default value is TRUE.

The documentation for this class was generated from the following files:

- SoVRMLDragSensor.h
- DragSensor.cpp